#{extends 'borderNG.html' /}

<div class="breadcrumb">
	<a href="@{AuditorCtr.index()}">&{'skauditor.list'}</a> <i class="fa fa-angle-right"></i>
	<a href="@{AuditorCtr.sk()}">&{'skauditor.daftarsurat'}</a> <i class="fa fa-angle-right"></i>
	&{'skauditor.headedit'}
</div>

<div class="content">
#{alert /}
	<div class="alert alert-danger" id="msg-invalidDokBA">
    Untuk Dokumen yang dapat diupload hanya dokumen/file yang memiliki ekstensi <b>*.pdf</b>
</div>

#{form @AuditorCtr.simpanSk(), id:'formEditPajak', method:'POST', enctype:'multipart/form-data'}
    #{if skauditor?.skid}
		<input type="hidden" name="skauditor.skid" value="${skauditor?.skid}"/>
    #{/if}
	<div class="form-group">
		<label class="col-lg-2 control-label">&{'skauditor.nomorsurat'} <span class="warning">*</span></label>
		<div class="col-lg-10 #{errorClass 'skauditor.skno'/}">
			<input type="text" size="25" maxlength="50" name="skauditor.skno" value="${skauditor?.skno}"
			       class="form-control #{validate 'skauditor.skno'/}"/>
			<div class="invalid-feedback">#{error 'skauditor.skno' /}</div>
		</div>
	</div>
	<div class="form-group">
		<label class="col-lg-2 control-label">&{'skauditor.masa'} <span class="warning">*</span></label>
		<div class="input-daterange">
			<div class="col-lg-2 #{errorClass 'skauditor.skmulai'/}">
				<div class="input-group width-normal">
					<input type="text" name="skauditor.skmulai" value="${skauditor?.skmulai?.toDatepicker()}"
					       class="form-control datepicker #{validate 'skauditor.skmulai'/}" />
					<div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
					<div class="invalid-feedback">#{error 'skauditor.skmulai' /}</div>
				</div>
			</div>
			<div class="form-group" style="padding:5px;">s.d.</div>
			<div class="form-group">
				<div class="input-group date datepicker">
					<input type="text" name="skauditor.skakhir" value="${skauditor?.skakhir?.toDatepicker()}"
					       class="form-control datepicker #{validate 'skauditor.skakhir'/}"/>
					<div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
					<div class="invalid-feedback">#{error 'skauditor.skakhir' /}</div>
				</div>
			</div>
		</div>
	</div>
	<div class="form-group">
		<label class="col-lg-2 control-label">&{'skauditor.doc'} <span class="warning">*</span></label>
		<div class="col-lg-10  #{errorClass 'attachment'/}">
			#{if skauditor?.skattachmentid}
				<div class="attachment">
					<br/>
					<a href="${skauditor?.blob?.getDownloadUrl(models.handler.BeritaDownloadHandler.class)}">${skauditor?.blob?.getFileName()}</a>
					<a href="javascript:void(0)" class="removeBtn">
						<input type="hidden" name="hapus" value="${skauditor?.skattachmentid} ">
						<i class="fa fa-trash-o fa-lg"></i></a>
						#{fileExist skauditor?.blob /}
					<br/><br/>
				</div>
			#{/if}
			<input type="file" id="attachment" name="attachment" class="form-control #{validate 'attachment'/}" onchange="ValidateSingleInput(this);"/>
			<div class="invalid-feedback">#{error 'attachment' /}</div>
		</div>
	</div>

	<div class="form-group row">
		<div class="col-lg-offset-2 col-lg-10">
            #{saveButton /}
            #{backButton action:@AuditorCtr.sk() /}
		</div>
	</div>

	<div class="bs-callout bs-callout-warning">
		<span class="warning">*</span> Data wajib diisi dan upload Dokumen Surat Tugas hanya dokumen/file yang memiliki ekstensi <b>*.pdf</b>
	</div>

    #{if skauditor}
		<div class="form-group row">
			<label class="col-lg-2 col-form-label">Auditor <span class="warning">*</span></label>
			<div class="col-lg-10">
				<table class="table table-sm">
					<thead>
					<tr style="display:block">
						<th><input name="chkAuditor" type="checkbox" class="checkall_auditor"/></th>
						<th style="width:420px">Nama Auditor</th>
						<th style="width:300px" class="hrlast">NIP</th>
					</tr>
					</thead>
					<tbody style="display:block;height: 200px; overflow: auto">
                        #{list items:auditor_skauditor , as:'auditsk', name :'auditsk'}
                            #{set idx:auditsk_index-1 /}
						<tr>
							<input type="hidden" name="auditorId" value="${auditsk.auditor.auditorid}">
							<td><input type='checkbox' class='checkbox fcol check_auditor' name='chkAuditor'
							           value='${auditsk.auditor.auditorid}'/></td>
							<td style="width:420px">${auditsk.auditor.pegawai.peg_nama}</td>
							<td style="width:288px">${auditsk.auditor.pegawai.peg_nip}</td>
						</tr>
                        #{/list}
					</tbody>
				</table>
			</div>
		</div>
		<div class="form-group row">
			<div class="col-lg-offset-2 col-lg-10">
				#{set 'a'}&{'skauditor.btntambah'}#{/set}
				#{set 'b'}&{'skauditor.hpsaditor'}#{/set}
                #{addButton title:a,  action:@AuditorCtr.daftarAuditor(skauditor.skid) /}
                #{deleteButton title:b,  name: 'hapusAuditor' /}
			</div>
		</div>

		<div class="form-group">
			<label class="col-lg-2 control-label">&{'skauditor.paket'} <span class="warning">*</span></label>
			<div class="col-lg-10">
				<table class="table table-sm">
					<thead>
					<tr style="display:block">
						<th><input type="checkbox" class="table-bordered""/></th>
						<th style="width:100px">Kode Tender</th>
						<th style="width:500px">Nama Paket</th>
						<th>Nilai Pagu</th>
					</tr>
					</thead>
					<tbody style="display:block;height: 200px; overflow: auto">
                        #{list items:paket_skauditor , as:'paketaudit' , name:'paketaudit' }
                            #{set idx:paketaudit_index-1 /}
						<tr>
							<input type="hidden" name="paketId" value="${paketaudit.pkt_id}">
							<td><input type='checkbox' class='checkbox fcol check_paket' name='chkPaket'
							           value='${paketaudit.pkt_id}'/></td>
							<td style="width:100px">${paketaudit.lls_id}</td>
							<td style="width:500px">${paketaudit.pkt_nama}</td>
							<td style="text-align:right;width:200px">${paketaudit?.pkt_pagu?.rupiah()}</td>
						</tr>
                        #{/list}
					</tbody>
				</table>
				<div class="bs-callout bs-callout-info">
					Total Paket : ${paket_skauditor.size()}
				</div>
			</div>
		</div>
		<div class="form-group row">
			<div class="col-lg-offset-2 col-lg-10">
				#{set 'a'}&{'skauditor.tbhpaket'}#{/set}
				#{set 'b'}&{'skauditor.hpspaket'}#{/set}
                #{addButton title:a, action:@AuditorCtr.pilihPaket(skauditor.skid) /}
      #{deleteButton title:b,  name: 'hapusPaket' /}
			</div>
		</div>
    #{/if}
#{/form}
</div>

#{set 'custom_script'}
<script type="text/javascript">
$(document).ready(function () {
	$("#msg-invalidDokBA").hide();
});
	$(document).on('click', '.removeBtn', function () {
		$(this).parent().remove();
	})

 var _validFileExtensions = [".pdf"];    
    function ValidateSingleInput(oInput) {
        if (oInput.type == "file") {
            var sFileName = oInput.value;
             if (sFileName.length > 0) {
                var blnValid = false;
                for (var j = 0; j < _validFileExtensions.length; j++) {
                    var sCurExtension = _validFileExtensions[j];
                    if (sFileName.substr(sFileName.length - sCurExtension.length, sCurExtension.length).toLowerCase() == sCurExtension.toLowerCase()) {
                    	$("#msg-invalidDokBA").hide();
                        blnValid = true;
                        break;
                    }
                }
                 
                if (!blnValid) {
                	$("#msg-invalidDokBA").show();
                    oInput.value = "";
                    return false;
                }
            }
        }
        return true;
    }
</script>
#{/set}